class Panel::PageContent::FrontEnd::PageContextsController < OrbitWidgetController
  
  def initialize
    super
    @app_title = 'page_content'
  end

  def index
    # @page_context = PageContext.where("page_id" => params[:page_id], :archived => false)
    @page_context = PageContext.first(conditions: { page_id: params[:page_id], :archived => false })
    impressionist(@page_context)
    
    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @page_contexts }
    end
  end
  
end
